SDL_dummyaudio.c File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_audio.h"`
`#include "../SDL_audio_c.h"`
`#include "SDL_dummyaudio.h"`
Include dependency graph for SDL_dummyaudio.c:

Go to the source code of this file.

## Functions

static int | DUMMYAUD_OpenDevice (_THIS, void *handle, const char *devname, int iscapture)
static int | DUMMYAUD_Init (SDL_AudioDriverImpl *impl)

## Variables

AudioBootStrap | DUMMYAUD_bootstrap

## Function Documentation

static int DUMMYAUD_Init | ( | SDL_AudioDriverImpl * | impl | ) |

static

Definition at line 36 of file SDL_dummyaudio.c.

References DUMMYAUD_OpenDevice(), SDL_AudioDriverImpl::OnlyHasDefaultOutputDevice, and SDL_AudioDriverImpl::OpenDevice.

{
/* Set the function pointers */
impl->OpenDevice = DUMMYAUD_OpenDevice;
impl->OnlyHasDefaultOutputDevice = 1;
return 1; /* this audio target is available. */
}
DUMMYAUD_OpenDevice
static int DUMMYAUD_OpenDevice(_THIS, void *handle, const char *devname, int iscapture)
Definition: SDL_dummyaudio.c:30
SDL_AudioDriverImpl::OnlyHasDefaultOutputDevice
int OnlyHasDefaultOutputDevice
Definition: SDL_sysaudio.h:92
SDL_AudioDriverImpl::OpenDevice
int(* OpenDevice)(_THIS, void *handle, const char *devname, int iscapture)
Definition: SDL_sysaudio.h:72

static int DUMMYAUD_OpenDevice | ( | _THIS | ,
|  | void * | handle,
|  | const char * | devname,
|  | int | iscapture
| ) |  |

static

Definition at line 30 of file SDL_dummyaudio.c.

Referenced by DUMMYAUD_Init().

{
return 0; /* always succeeds. */
}

## Variable Documentation

AudioBootStrap DUMMYAUD_bootstrap

Initial value:
= {
"dummy", "SDL dummy audio driver", DUMMYAUD_Init, 1
}
DUMMYAUD_Init
static int DUMMYAUD_Init(SDL_AudioDriverImpl *impl)
Definition: SDL_dummyaudio.c:36

Definition at line 44 of file SDL_dummyaudio.c.